# KakaoTalk Templates

The KakaoTalk template endpoint offers a way for you to manage your KakaoTalk templates that can be used with the Conversation API.

 - [GET /v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/kakaotalk-templates/kakaotalktemplatescontroller_listtemplates_v1.md): Returns a paginated list of templates for the specified project. If no page token is supplied then the first `50` templates are returned in alphabetical order.
 - [POST /v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/kakaotalk-templates/kakaotalktemplatescontroller_createtemplate_v1.md): Creates a new template with the request data.
 - [GET /v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/kakaotalk-templates/templatescontroller_get_v1.md): Returns a template for a project, with the specified name and language.
 - [DELETE /v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/kakaotalk-templates/templatescontroller_deletetemplate_v1.md): Delete template that matches the template code.
 - [PATCH /v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/kakaotalk-templates/kakaotalktemplatescontroller_updatetemplate_v1.md): Updates an existing template with the request data.
 - [GET /v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}/activities](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/kakaotalk-templates/kakaotalktemplatescontroller_listactivities_v1.md): Paginated list of activities for a template. Ordered from the most recent one to the oldest one.
 - [DELETE /v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}/changes](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/kakaotalk-templates/templatescontroller_deletetemplatedraft_v1.md): Delete a template draft. Please note that it is only possible to delete templates that have not yet been submitted to KakaoTalk.
 - [POST /v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}/comments](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/kakaotalk-templates/kakaotalktemplatescontroller_createcomment_v1.md): Creates a comment for a template.
